ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

List business entity transfers

Try in API Explorer

Returns a list of business_entity_transfer resources meeting all the conditions specified in the filter parameters below. By default, this list is sorted by created_at in descending order (latest first).

Tip

To retrieve a history of all the business entity transfers for a resource, pass the filter parameters active_resource_id[is] and resource_type[].

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/business_entities/transfers

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : created_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "created_at"

This will sort the result based on the 'created_at' attribute in ascending(earliest first) order.

Filter Params

For operator usages, see the Pagination and Filtering section.
resource_type[<operator>]

Filter business_entity_transfer resources based on resource_type.

Tip Use this filter along with active_resource_id[is] to retrieve the history of all the business entity transfers for a resource.

Supported operators: is
Example customer
resource_id[<operator>]

Filter business_entity_transfer resources based on resource_id .

Supported operators: is
Example 9bsvnHgsvmsI
active_resource_id[<operator>]

Filter business_entity_transfer resources based on active_resource_id.

Tip Use this filter along with resource_type[] to retrieve the history of all the business entity transfers for a resource.

Supported operators: is
Example 8gsnbYfsMLds
created_at[<operator>]

optional, timestamp(UTC) in seconds filter

To filter based on Created At. Supported operators : after, before, on, between

Example → created_at[on] = "1702022464"

Supported operators: after, before, on, between
Example 1702022464

Returns

next_offsetoptional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

business_entity_transferBusiness entity transfer object
Resource object representing business_entity_transfer